#include "fwSDLLog.h"
#include "fwGlobals.h"

SimpleLog::SimpleLog() {
    mFile = fopen("log.txt", "w");
}

SimpleLog::~SimpleLog() {
    if (mFile != NULL) {
        fflush(mFile);
        fclose(mFile);
    }
}

void SimpleLog::Add(char* aMessage) {
    if (mFile != NULL) {
        fprintf(mFile, "%s\n", aMessage);
        fflush(mFile);
    }
}

void SimpleLog::Add(char* aNamespace, char* aMessage) {
    if (mFile != NULL) {
        fprintf(mFile, "  %s: %s\n", aNamespace, aMessage);
        fflush(mFile);
    }
}

void SimpleLog::Add(char* aMessage, int aValue) {
    if (mFile != NULL) {
        fprintf(mFile, aMessage, aValue);
        fflush(mFile);
    }
}



// global deklaration
SimpleLog Log;
